Skip to main content
GET
/
v1
/
jobs
/
runs
/
{run_id}
/
artifacts
/
{artifact_id}
Get Run Artifact
curl --request GET \
  --url https://sdk.nimbleway.com/v1/jobs/runs/{run_id}/artifacts/{artifact_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "type": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string
required
artifact_id
string
required

Cookies

token
string | null

Response

Successful Response

A file produced by a run.

id
string
required

Artifact identifier.

type
string
required

Artifact type.

description
string
required

Human-readable artifact description.

created_at
string<date-time>
required

When the artifact was created.